Standard Card Transaction Status
POST
/standardTransactStatusRetrieves the current status details of a specific card transaction.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringPOST/standardTransactStatus
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransactStatus' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "MERCHANT_ID_HERE",
7 "transactionReferenceId": "TRANS_REF_ID_HERE"
8 }
9}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"Response": {
"RespCode": "00",
"AppCode": "AXS009",
"RespMsg": "Approved",
"TxRefNo": "3245623463254631",
"DTxId": "99454496548357183920250626112804",
"HTxId": "000000321000010",
"BatchNo": 993,
"InvoiceNo": 9,
"Rrn": "517705501432",
"ProcessingCode": "000000",
"HRC": "00",
"RespStatus": "Approved",
"Amount": "150",
"Tips": "00",
"CustomFee": "8",
"FeeLabel": "Custom Fee",
"LocalTax": "30",
"StateTax": "15",
"LTaxLabel": "Local Tax",
"GTaxLabel": "State Tax",
"TotalAmount": "203",
"TxnSettleStatus": "Yet to Settle",
"TransactionType": "SALE"
},
"TxDetail": {
"DateNTime": "20250626112804",
"Tpn": "962923571839"
},
"Card": {
"ChdToken": "Your CardTokenHere",
"Label": "AMEX",
"MaskedPan": "3796056666"
}
}
}